Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230429 - ethtool -e eth0 returns error.
Summary: ethtool -e eth0 returns error.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 20:04 UTC by Michael Chan
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:38:17 UTC


Attachments (Terms of Use)
Bug fix patch (deleted)
2007-02-28 20:04 UTC, Michael Chan
no flags Details | Diff

Description Michael Chan 2007-02-28 20:04:55 UTC
Description of problem: ethtool -e eth0 to dump ethernet adapter's eeprom 
contents always returns error.


Version-Release number of selected component (if applicable):


How reproducible: Always.


Steps to Reproduce:
1. ethtool -e eth0
2.
3.
  
Actual results: Cannot get EEPROM data: Invalid argument


Expected results: Hex dump of EEPROM.


Additional info: One-liner patch for net/core/ethttol.c is attached.

Comment 1 Michael Chan 2007-02-28 20:04:55 UTC
Created attachment 148954 [details]
Bug fix patch

Comment 2 RHEL Product and Program Management 2007-10-19 18:38:17 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.